<?php
#-----------------------------------------------------#
#          ********* ROTORCMS *********               #
#              Made by  :  VANTUZ                     #
#               E-mail  :  visavi.net@mail.ru         #
#                 Site  :  http://pizdec.ru           #
#             WAP-Site  :  http://visavi.net          #
#                  ICQ  :  36-44-66                   #
#  Вы не имеете право вносить изменения в код скрипта #
#        для его дальнейшего распространения          #
#-----------------------------------------------------#	
require_once ('../includes/start.php');
require_once ('../includes/functions.php');
require_once ('../includes/header.php');
include_once ('../themes/' . $config['themes'] . '/index.php');

if (isset($_GET['act'])) {
    $act = check($_GET['act']);
} else {
    $act = 'index';
} 

show_title('site.png', 'Вклады');
$config['newtitle'] = 'Вклады';

if (is_user()) {
    switch ($act):
    # ###########################################################################################
    # #                                    Главная страница                                    ##
    # ###########################################################################################
    case "index":

        $querybank = DB :: $dbh -> query("SELECT * FROM `bank` WHERE `bank_user`=? LIMIT 1;", array($log));
        $databank = $querybank -> fetch();

        if (!empty($databank)) {
            echo '<b>Выписка по счету</b><br />';
            echo 'На руках: ' . moneys($udata['users_money']) . '<br />';
            echo 'В банке: ' . moneys($databank['bank_sum']) . '<br /><br />';

            if ($databank['bank_sum'] > $config['maxsumbank']) {
                echo '<b><span style="color:#ff0000">Внимание у вас слишком большой вклад</span></b><br />';
                echo 'Превышена максимальная сумма вклада для получения процентов на ' . moneys($databank['bank_sum'] - $config['maxsumbank']) . '<br />';
            } 

            if ($databank['bank_sum'] > 0 && $databank['bank_sum'] <= $config['maxsumbank']) {
                $stavka = 15;
                if ($databank['bank_sum'] >= 100000) {
                    $stavka = 7;
                } 
                if ($databank['bank_sum'] >= 250000) {
                    $stavka = 4;
                } 
                if ($databank['bank_sum'] >= 500000) {
                    $stavka = 2.5;
                } 
                if ($databank['bank_sum'] >= 1000000) {
                    $stavka = 1;
                } 
                if ($databank['bank_sum'] >= 5000000) {
                    $stavka = 0.6;
                } 
                $percent = round((($databank['bank_sum'] * $stavka) / 100));

                if ($databank['bank_time'] >= SITETIME) {
                    echo 'До получения процентов осталось ' . formattime($databank['bank_time'] - SITETIME) . '<br />';
                    echo 'Будет получено с процентов: ' . moneys($percent) . '<br /><br />';
                } else {
                    DB :: $dbh -> query("UPDATE `bank` SET `bank_sum`=`bank_sum`+?, `bank_oper`=`bank_oper`+1, `bank_time`=? WHERE `bank_user`=?", array($percent, SITETIME + 43200, $log));

                    echo '<b>Продление счета успешно завершено, получено c процентов: ' . moneys($percent) . '</b><br /><br />';
                } 
            } else {
                echo 'Для получения процентов на счете должны быть средства, но не более ' . moneys($config['maxsumbank']) . '<br /><br />';
            } 
        } else {
            echo 'Вы новый клиент нашего банка. Мы рады, что вы доверяеете нам свои деньги<br />';
            echo 'Сейчас ваш счет не открыт, вложите свои средства, чтобы получать проценты с вклада<br /><br />';
        } 

        echo '<b>Операция:</b><br />';

        echo '<div class="form">';
        echo '<form action="bank.php?act=operacia&amp;' . SID . '" method="post">';
        echo '<input type="text" name="gold" /><br />';
        echo '<select name="oper">';
        echo '<option value="2">Положить деньги</option><option value="1">Снять деньги</option>';
        echo '</select><br />';
        echo '<input type="submit" value="Выполнить" /></form></div><br />';

        echo 'Максимальная сумма вклада: ' . moneys($config['maxsumbank']) . '<br /><br />';
        echo 'Процентная ставка зависит от суммы вклада<br />';
        echo 'Вклад до 100 тыс. - ставка 15%<br />';
        echo 'Вклад более 100 тыс. - ставка 7%<br />';
        echo 'Вклад более 250 тыс. - ставка 4%<br />';
        echo 'Вклад более 500 тыс. - ставка 2.5%<br />';
        echo 'Вклад более 1 млн. - ставка 1%<br />';
        echo 'Вклад более 5 млн. - ставка 0.6%<br /><br />';

        $total = DB :: $dbh -> querySingle("SELECT count(*) FROM `bank`;");

        echo 'Всего вкладчиков: <b>' . $total . '</b><br /><br />';
        break;
    # ###########################################################################################
    # #                                        Операции                                        ##
    # ###########################################################################################
    case "operacia":

        $gold = (int)$_POST['gold'];
        $oper = (int)$_POST['oper'];
        // ----------------------- Снятие со счета ----------------------------//
        if ($oper == 1) {
            $config['newtitle'] = 'Снятие со счета';

            if ($gold > 0) {
                $querysum = DB :: $dbh -> querySingle("SELECT `bank_sum` FROM `bank` WHERE `bank_user`=? LIMIT 1;", array($log));
                if (!empty($querysum)) {
                    if ($gold <= $querysum) {
                        DB :: $dbh -> query("UPDATE `users` SET `users_money`=`users_money`+? WHERE `users_login`=?", array($gold, $log));
                        DB :: $dbh -> query("UPDATE `bank` SET `bank_sum`=`bank_sum`-?, `bank_time`=? WHERE `bank_user`=?", array($gold, SITETIME + 43200, $log));

                        echo 'Сумма в размере <b>' . moneys($gold) . '</b> успешно списана с вашего счета<br /><br />';
                    } else {
                        show_error('Ошибка! Вы не можете снять денег больше чем у вас на счете!');
                    } 
                } else {
                    show_error('Ошибка! Вы не можете снимать деньги, так как у вас не открыт счет!');
                } 
            } else {
                show_error('Ошибка! Необходимо ввести сумму для снятия денег!');
            } 
        } 
        // -------------------------- Пополение счета --------------------------------//
        if ($oper == 2) {
            $config['newtitle'] = 'Пополнение счета';

            if ($gold > 0) {
                if ($gold <= $udata['users_money']) {
                    DB :: $dbh -> query("UPDATE `users` SET `users_money`=`users_money`-? WHERE `users_login`=?", array($gold, $log));

                    $querybank = DB :: $dbh -> querySingle("SELECT `bank_id` FROM `bank` WHERE `bank_user`=? LIMIT 1;", array($log));
                    if (!empty($querybank)) {
                        DB :: $dbh -> query("UPDATE `bank` SET `bank_sum`=`bank_sum`+?, `bank_time`=? WHERE `bank_user`=?", array($gold, SITETIME + 43200, $log));
                    } else {
                        DB :: $dbh -> query("INSERT INTO `bank` (`bank_user`, `bank_sum`, `bank_time`) VALUES (?, ?, ?);", array($log, $gold, SITETIME + 43200));
                    } 

                    echo 'Сумма в размере <b>' . moneys($gold) . '</b> успешно зачислена на ваш счет<br />';
                    echo 'Получить проценты с вклада вы сможете не ранее чем через 12 часов<br /><br />';
                } else {
                    show_error('Недостаточное количество денег, у вас нет данной суммы на руках');
                } 
            } else {
                show_error('Ошибка! Необходимо ввести сумму для пополнения счета!');
            } 
        } 

        echo '<img src="../images/img/back.gif" alt="image" /> <a href="bank.php?' . SID . '">Вернуться</a><br />';
        break;

    default:
        header("location: bank.php?" . SID);
        exit;
        endswitch;
    } else {
    show_login('Вы не авторизованы, чтобы совершать операции, необходимо');
} 

echo '<img src="../images/img/chart.gif" alt="image" /> <a href="livebank.php?' . SID . '">Статистика вкладов</a><br />';
echo '<img src="../images/img/money.gif" alt="image" /> <a href="kredit.php?' . SID . '">Выдача кредитов</a><br />';
echo '<img src="../images/img/homepage.gif" alt="image" /> <a href="../index.php?' . SID . '">На главную</a>';

include_once ("../themes/" . $config['themes'] . "/foot.php");

?>